# Interface methods for submodule: CovariantVector
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FixedArrayProxy as _FixedArrayProxy


# Interface methods for class: CovariantVector
class CovariantVectorProxy(_FixedArrayProxy):
	@staticmethod
	def GetCovariantVectorDimension() -> int:
		""""""
		...

	def SetVnlVector(self, arg0: vnl_vector) -> None:
		""""""
		...

	@overload
	def GetVnlVector(self) -> vnl_vector_ref:
		""""""
		...

	@overload
	def GetVnlVector(self) -> vnl_vector:
		""""""
		...

	def GetNorm(self) -> float:
		""""""
		...

	@staticmethod
	def GetNumberOfComponents() -> int:
		""""""
		...

	def Normalize(self) -> float:
		""""""
		...

	def GetSquaredNorm(self) -> float:
		""""""
		...

